Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 981422 - Crash when verifying IMAP credentials
Summary: Crash when verifying IMAP credentials
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:30f3c0aea1ca6d620477d41a4e6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 16:10 UTC by Diogo Campos
Modified: 2014-04-15 17:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 17:57:30 UTC
Type: ---


Attachments (Terms of Use)
File: cgroup (140 bytes, text/plain)
2013-07-04 16:10 UTC, Diogo Campos
no flags Details
File: core_backtrace (2.15 KB, text/plain)
2013-07-04 16:10 UTC, Diogo Campos
no flags Details
File: dso_list (12.00 KB, text/plain)
2013-07-04 16:11 UTC, Diogo Campos
no flags Details
File: environ (959 bytes, text/plain)
2013-07-04 16:11 UTC, Diogo Campos
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-04 16:11 UTC, Diogo Campos
no flags Details
File: maps (60.16 KB, text/plain)
2013-07-04 16:11 UTC, Diogo Campos
no flags Details
File: open_fds (1.61 KB, text/plain)
2013-07-04 16:11 UTC, Diogo Campos
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-07-04 16:11 UTC, Diogo Campos
no flags Details
File: var_log_messages (1.23 KB, text/plain)
2013-07-04 16:11 UTC, Diogo Campos
no flags Details

Description Diogo Campos 2013-07-04 16:10:42 UTC
Version-Release number of selected component:
gnome-online-accounts-3.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/goa-daemon
crash_function: mail_client_check_auth_run_cb
executable:     /usr/libexec/goa-daemon
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 mail_client_check_auth_run_cb at goamailclient.c:153
 #1 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #2 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:845
 #7 goa_mail_client_check_sync at goamailclient.c:482
 #8 ensure_credentials_sync at goaimapsmtpprovider.c:368
 #9 ensure_credentials_in_thread_func at goaprovider.c:440
 #10 run_in_thread at gsimpleasyncresult.c:871
 #11 io_job_thread at gioscheduler.c:89
 #12 g_task_thread_pool_thread at gtask.c:1242
 #14 g_thread_proxy at gthread.c:798

Comment 2 Diogo Campos 2013-07-04 16:10:50 UTC
Created attachment 768868 [details]
File: cgroup

Comment 3 Diogo Campos 2013-07-04 16:10:54 UTC
Created attachment 768869 [details]
File: core_backtrace

Comment 4 Diogo Campos 2013-07-04 16:11:07 UTC
Created attachment 768870 [details]
File: dso_list

Comment 5 Diogo Campos 2013-07-04 16:11:10 UTC
Created attachment 768871 [details]
File: environ

Comment 6 Diogo Campos 2013-07-04 16:11:14 UTC
Created attachment 768872 [details]
File: limits

Comment 7 Diogo Campos 2013-07-04 16:11:21 UTC
Created attachment 768873 [details]
File: maps

Comment 8 Diogo Campos 2013-07-04 16:11:25 UTC
Created attachment 768874 [details]
File: open_fds

Comment 9 Diogo Campos 2013-07-04 16:11:30 UTC
Created attachment 768875 [details]
File: proc_pid_status

Comment 10 Diogo Campos 2013-07-04 16:11:36 UTC
Created attachment 768876 [details]
File: var_log_messages

Comment 11 Debarshi Ray 2014-04-09 16:12:57 UTC
Diogo, does it still crash if you add an email account?

Comment 12 Diogo Campos 2014-04-15 17:57:30 UTC
No. That account works well with 3.10 and 3.12.
Had forgotten this bug, sorry.
Closing...


Note You need to log in before you can comment on or make changes to this bug.